## libhibernate-validator4-java 4.3.4

=== debian/changelog ===
libhibernate-validator4-java (4.3.4-4~20.04.1) focal-security; urgency=medium

  * Build as focal package to allow building libspring-java
    - debian/control: downgrade libjboss-logging-tools-java version

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Dec 2024 13:59:49 -0500

libhibernate-validator4-java (4.3.4-4) unstable; urgency=medium

  * Team upload.
  * Removed the Maven artifacts with the upstream version to avoid conflicting
    with old versions of libhibernate-validator-java (Closes: #963979)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Sep 2020 17:37:24 +0200

libhibernate-validator4-java (4.3.4-3) unstable; urgency=medium

  * Team upload.
  * Renamed the /usr/share/java jar (Closes: #963979)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 10 Sep 2020 14:36:33 +0200

libhibernate-validator4-java (4.3.4-2) unstable; urgency=medium

  * Team upload.
  * Cloned the package at the version 4.x as libhibernate-validator4-java
    to solve the incompatibilities introduced by the upgrade to the version 5.
  * Fixed the compatibility with the current version of jboss-logging in Debian
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 23 Jun 2020 13:28:21 +0200

libhibernate-validator-java (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the CVE-2017-7536 patch (fixed upstream)
  * Fixed the build failure with Java 11 (Closes: #911138)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Oct 2018 17:16:01 +0200

libhibernate-validator-java (4.3.3-5) unstable; urgency=medium

  * Team upload.
  * Use the maven-jaxb2-plugin instead of invoking xjc directly to fix the build
    failure with Java 11 (Closes: #905359)
  * Added the missing build dependency on libeasymock-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Sep 2018 10:39:24 +0200

libhibernate-validator-java (4.3.3-4) unstable; urgency=high

  * Team upload.
  * Fix CVE-2017-7536.
    Thanks to Salvatore Bonaccorso for the report. (Closes: #885577)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Rename README.Debian-source to README.source.
  * Remove unused maven.cleanIgnoreRules and maven.publishedRules.

 -- Markus Koschany <apo@debian.org>  Thu, 11 Jan 2018 14:43:58 +0100

libhibernate-validator-java (4.3.3-3) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libjsoup-java (Closes: #882317)
  * Removed the dependency on glassfish-javaee and libgeronimo-jpa-2.0-spec-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 30 Nov 2017 02:18:10 +0100

libhibernate-validator-java (4.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add jboss-logging-tools.patch and provide the missing source files
    manually.
    The packaging was incomplete because generated classes were not created at
    build time. Apparently this is caused by a wrong or outdated invocation of
    the jboss-logging-processor in pom.xml. This package still requires an
    older version of jboss-logging-tools which behaves differently. This patch
    works around the issue by applying the sources manually. They were created
    with version 1.0.1.Final of jboss-logging-tools and then Log_$logger.java
    was patched to fix missing methods. For more information see #874579.
    (Closes: #874579)
  * Declare compliance with Debian Policy 4.1.0.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Sep 2017 09:12:55 +0200

libhibernate-validator-java (4.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Dec 2016 09:50:16 +0100

libhibernate-validator-java (4.3.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on groovy instead of groovy2
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 May 2016 15:20:52 +0200

libhibernate-validator-java (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Use the dependencies generated by maven-debian-helper
  * debian/watch: Track only the final releases

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Apr 2016 15:38:10 +0200

libhibernate-validator-java (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #737436)
    - New build dependencies on libmaven-processor-plugin-java and groovy2
    - New dependency on libjboss-logging-tools-java
    - Removed jaxb-binding-fixes.patch (fixed upstream)
    - Updated the build for the new project layout
    - Worked around a maven-repo-helper bug with plugin dependencies
  * Build with the DH sequencer instead of CDBS
  * Added the missing Maven rule for log4j
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Apr 2016 00:15:58 +0200

libhibernate-validator-java (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Apr 2015 21:28:53 +0200

libhibernate-validator-java (4.2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2014-3558 (Closes: #762690)
    - Refreshed the patches
    - Added libjaxb-java, libgeronimo-jpa-2.0-spec-java, libjoda-time-java,
      libjavassist-java and libmaven-bundle-plugin-java to the build deps
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.6 (no changes)
  * debian/watch: Updated to watch the release tags on Github
  * Removed debian/orig-tar.* and use the Github archive as is
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Nov 2014 12:37:40 +0100


