=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -Rf debian/libhibernate-validator4-java/usr/share/maven-repo/org/hibernate/hibernate-validator/4.3.4*
	rm -Rf debian/libhibernate-validator4-java/usr/share/maven-repo/org/hibernate/hibernate-validator-parent/4.3.4*
